POST api/PartnerFiles

Upload a partner file. Important: This endpoint will not modify existent files. If a file name already exist in the portal you will get an error.

Request Information

URI Parameters

None.

Body Parameters

Partner file to upload

PartnerFileModel
NameDescriptionTypeAdditional information
Id

Unique ID of the file in the portal (Read only).

integer

None.

CreatedPortalUtc

Date and time when the file was created in the portal (Read only).

date

None.

FileName

File name. This value must be unique for the customer. If another file with the same name was already uploaded you will get an error.

string

None.

FileData

Content of the file

Collection of byte

None.

CustomFields

Custom fields for the file. Use this to transmit arbitrary data related to the file.

Collection of PartnerFileCustomFieldModel

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "createdPortalUtc": "2026-05-29T16:56:55.721923+00:00",
  "fileName": "sample string 3",
  "fileData": "QEA=",
  "customFields": [
    {
      "key": "sample string 1",
      "value": "sample string 2"
    },
    {
      "key": "sample string 1",
      "value": "sample string 2"
    }
  ]
}

application/xml, text/xml

Sample:
<PartnerFileModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PartnerFile">
  <CreatedPortalUtc>2026-05-29T16:56:55.721923+00:00</CreatedPortalUtc>
  <CustomFields>
    <PartnerFileCustomFieldModel>
      <Key>sample string 1</Key>
      <Value>sample string 2</Value>
    </PartnerFileCustomFieldModel>
    <PartnerFileCustomFieldModel>
      <Key>sample string 1</Key>
      <Value>sample string 2</Value>
    </PartnerFileCustomFieldModel>
  </CustomFields>
  <FileData>QEA=</FileData>
  <FileName>sample string 3</FileName>
  <Id>1</Id>
</PartnerFileModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PartnerFileModel'.

Response Information

Resource Description

PartnerFileModel
NameDescriptionTypeAdditional information
Id

Unique ID of the file in the portal (Read only).

integer

None.

CreatedPortalUtc

Date and time when the file was created in the portal (Read only).

date

None.

FileName

File name. This value must be unique for the customer. If another file with the same name was already uploaded you will get an error.

string

None.

FileData

Content of the file

Collection of byte

None.

CustomFields

Custom fields for the file. Use this to transmit arbitrary data related to the file.

Collection of PartnerFileCustomFieldModel

None.

Response Formats

application/json, text/json

Sample:
{
  "id": 1,
  "createdPortalUtc": "2026-05-29T16:56:55.7425593+00:00",
  "fileName": "sample string 3",
  "fileData": "QEA=",
  "customFields": [
    {
      "key": "sample string 1",
      "value": "sample string 2"
    },
    {
      "key": "sample string 1",
      "value": "sample string 2"
    }
  ]
}

application/xml, text/xml

Sample:
<PartnerFileModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PartnerFile">
  <CreatedPortalUtc>2026-05-29T16:56:55.7425593+00:00</CreatedPortalUtc>
  <CustomFields>
    <PartnerFileCustomFieldModel>
      <Key>sample string 1</Key>
      <Value>sample string 2</Value>
    </PartnerFileCustomFieldModel>
    <PartnerFileCustomFieldModel>
      <Key>sample string 1</Key>
      <Value>sample string 2</Value>
    </PartnerFileCustomFieldModel>
  </CustomFields>
  <FileData>QEA=</FileData>
  <FileName>sample string 3</FileName>
  <Id>1</Id>
</PartnerFileModel>